Subject: Re: bug#36945: 27.0.50; read-library-name

From: Stefan Monnier <[email-masked]>
Date: Thu, 17 Sep 2020 12:41:36 -0400

>> Since load-library must support the use case when the user forces to
>> load the .el file, not the .elc file, read-library-name must allow
>> library names with extensions, I think.  IOW, the "library" in this
>> context is just the basename of its file name, with or without the
>> extension.
> Yeah.  So I think the request in 36945 can't be done -- Emacs has to
> complete over all files in load-path, no matter what they're called,
> really.

Yes and no.  The behavior could be similar to what we do with
`completion-ignored-extensions` (where those files are only ignored if
there are others), e.g. for an input "i" we'd list ("icomplete"
"image" ...)  but for an input "icomplet" we'd list
("icomplete.el" "icomplete.elc" "icomplete.el.BAK").

        Stefan